For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
StatusDashboard
  • Getting Started
    • Introduction
    • Authentication
    • Rate Limits
    • Error Handling
  • Guides
    • Cash-In (Receiving Payments)
    • Cash-Out (Sending Payments)
    • PIX Keys Management
    • Webhooks Integration
    • MED (Special Returns)
  • API Reference
      • POSTCreate Charge
      • GETGet Cash-In Status
      • POSTCancel Cash-In
LogoLogo
StatusDashboard
API ReferencePix Cash IN

Get Cash-In Status

GET
https://api.brzip.com.br/api/v1/pix/cash-in/:cash_in_id
GET
/api/v1/pix/cash-in/:cash_in_id
$curl https://api.brzip.com.br/api/v1/pix/cash-in/cash_in_id \
> -H "x-key-id: your-api-key-id" \
> -H "x-secret-key: your-api-key-secret"
1{
2 "success": true,
3 "data": {
4 "transaction_id": "425cf5d3-4981-4aa6-b207-407f2e3a02c0",
5 "external_id": "aa8091df-3939-4071-b6d2-7ffca2f9fbb0",
6 "amount": "0.01",
7 "currency": "BRL",
8 "status": "expired",
9 "payer_name": "Carlos Lima",
10 "payer_document": "11122233344",
11 "expires_at": "2026-04-21T20:10:43-03:00",
12 "created_at": "2026-04-21T23:05:43Z"
13 }
14}

Queries the status of a PIX charge.

Possible statuses: pending, paid, expired, cancelled, failed

Scope: pix:cashin:read

Was this page helpful?
Previous

Cancel Cash-In

Next
Built with

Path parameters

cash_in_idstringRequired

Cash-In transaction ID

Headers

x-key-idstringRequired
x-secret-keystringRequired

Response

Cash-In status

successboolean
dataobject

Errors

404
Not Found Error